package com.qxgmat.dto.admin.response;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.HomeworkPreview;
import com.qxgmat.dto.admin.extend.QuestionNoExtendDto;

import java.util.Collection;
import java.util.Date;

@Dto(entity = HomeworkPreview.class)
public class HomeworkPreviewDetailDto {

    private Integer id;

    private String title;

    private Integer category;

    private Date startTime;

    private Date endTime;

    private Integer[] questionNoIds;

    private Integer[] userIds;

    private Integer finish;

//    private Collection<QuestionNoExtendDto> questionNos;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getFinish() {
        return finish;
    }

    public void setFinish(Integer finish) {
        this.finish = finish;
    }

    public Integer[] getUserIds() {
        return userIds;
    }

    public void setUserIds(Integer[] userIds) {
        this.userIds = userIds;
    }

    public Integer getCategory() {
        return category;
    }

    public void setCategory(Integer category) {
        this.category = category;
    }

    public Integer[] getQuestionNoIds() {
        return questionNoIds;
    }

    public void setQuestionNoIds(Integer[] questionNoIds) {
        this.questionNoIds = questionNoIds;
    }

//    public Collection<QuestionNoExtendDto> getQuestionNos() {
//        return questionNos;
//    }
//
//    public void setQuestionNos(Collection<QuestionNoExtendDto> questionNos) {
//        this.questionNos = questionNos;
//    }
}
